Simpler Navigation for Servers and Operating Systems
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
General
cancel
Showing results for 
Search instead for 
Did you mean: 

Library errors when re-linking executables

Library errors when re-linking executables

I'm working towards migrating several Oracle 8.1.6.1 32bit databases to 8.1.7 64bit. I've got 8.1.7 installed, and I've run in to an error when relinking some executables. When I try to do:

make -f ins_net_server.mk install

in the $ORACLE_HOME/network/lib directory, I promptly recieve the following error:

ld: Can't find library or mismatched ABI for -lnidx8
Fatal error.
*** Error exit code 1

A support person on metalink suggested uninstalling Advanced Security and trying to relink again. I did and now I'm getting the same error with a different library:

ld: Can't find library or mismatched ABI for -lncrypt8

I'm getting the same errors when trying to make ins_rdbms.mk and ins_otrace.mk as well.

$ORACLE_HOME for the new installation is set to /opt/app/oracle/product/8.1.7 (the other ORACLE_HOME is 8.1.6.1), $SHLIB_PATH and $LD_LIBRARY_PATH both have /usr/bin, $ORACLE_HOME/lib, $ORACLE_HOME/lib64, and /usr/lib/pa20_64 in them. I'm completely stuck on this one, any suggestions?
5 REPLIES
nancy rippey
Trusted Contributor

Re: Library errors when re-linking executables

Pauline Brasch
Frequent Advisor

Re: Library errors when re-linking executables

I'm thinking maybe try to set and export LPATH to /usr/lib/pa20_64... ?
hth.
The time is gone the song is over thought I'd something more to say.
Irina Preobrazhenskaya
Occasional Visitor

Re: Library errors when re-linking executables

I had the same error with Oracle 8.1.7 on HP-UX 11.0. It's related to Advanced security option, but your actions should be different. Oracle cannot deinstall it completely - some left-overs give you the last error. I am suggesting the following:
1. Deinstall and completely remove Oracle 8.1.7. Delete $ORACLE_HOME and everything the installer create in $ORACLE_BASE (OraInventory,and other things)
2. Set your path variables like this (very important):
SHLIB_PATH=$ORACLE_HOME/lib:/usr/lib
LD_LIBRARY_PATH=$ORACLE_HOME/lib64
3. Make a custom install of Oracle 8.1.7 without Advanced security option.
It worked for me. Please let me know if it did for you
MANOJ SRIVASTAVA
Honored Contributor

Re: Library errors when re-linking executables

Hi Andrew


You need to install PHSS_22478 to resolve the relinking problem.


Manoj Srivastava
Irina Preobrazhenskaya
Occasional Visitor

Re: Library errors when re-linking executables

Most likely you have the HP patch PHSS_22478, or the one that supersedes it,istalled on your server. I had the same suggestions from Oracle suport, the patch was there, but the linker did not work. If the latest linker patch is installed, make sure your PATH variables are set correctly and make a fresh custom install. You should be fine.
Irina.